/* ttt-client.c - client handling code for tic-tac-toe game server
 *
 * Copyright © 2005 Carl Worth
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Carl Worth <cworth@cworth.org>
 */

#include "ttt-client.h"

struct _ttt_client {
    ttt_server_t *server;
    int socket;
};

ttt_client_t *
ttt_client_create (ttt_server_t *server, int socket)
{
    ttt_client_t *client;

    client = xmalloc (sizeof (ttt_client_t));

    client->server = server;
    client->socket = socket;

    return client;
}

void
ttt_client_destroy (ttt_client_t *client)
{
    close (client->socket);

    free (client);
}

void
ttt_client_handle_requests (ttt_client_t *client)
{
#define BUF_SIZE 1024

    while (1) {
	char buf[BUF_SIZE];
	int cnt;
	cnt = read (client->socket, buf, BUF_SIZE);
	if (cnt == 0)
	    break;
	write (0, buf, cnt);
	write (client->socket, buf, cnt);
    }
}


